UIPackage
Menu

Framework

Change language

Boilerplate repo

Section Card

section-cardui

Card variant tuned for settings pages — title, description, and content slots, with optional footer for save/cancel actions. The block-level building block for `.../settings/*` routes.

Also available for React ->

Installation

$npx shadcn-vue@latest add https://uipkge.dev/r/vue/section-card.json
Named registry:npx shadcn-vue@latest add @uipkge/section-cardInstalls to:app/components/ui/section-card/

Examples

Loading interactive previews…

Props

NameType / ValuesDefaultRequired
titlestringrequired
descriptionstringoptional
classHTMLAttributes['class']optional
contentClassstringoptional

Includes

Used by

Files installed (2)

  • app/components/ui/section-card/SectionCard.vue0.9 kB
    <script setup lang="ts">
    import { cn } from '@/lib/utils'
    import { Card, CardContent, CardHeader, CardTitle, CardDescription } from '@/components/ui/card'
    import type { HTMLAttributes } from 'vue'
    
    const props = defineProps<{
      title: string
      description?: string
      class?: HTMLAttributes['class']
      contentClass?: string
    }>()
    </script>
    
    <template>
      <Card :class="cn('flex flex-col', props.class)">
        <CardHeader class="pb-4">
          <div class="flex flex-wrap items-center justify-between gap-2">
            <div class="min-w-0">
              <CardTitle class="text-base font-semibold">{{ title }}</CardTitle>
              <CardDescription v-if="description" class="mt-0.5">{{ description }}</CardDescription>
            </div>
            <slot name="header-action" />
          </div>
        </CardHeader>
        <CardContent :class="cn('flex-1', props.contentClass)">
          <slot />
        </CardContent>
        <slot name="footer" />
      </Card>
    </template>
    
  • app/components/ui/section-card/index.ts0.1 kB

Raw manifest:https://uipkge.dev/r/vue/section-card.json

UIPackage
Menu

Framework

Change language

Boilerplate repo

Section Card

section-cardui

Card variant tuned for settings pages — title, description, and content slots, with optional footer for save/cancel actions. The block-level building block for `.../settings/*` routes.

Also available for Vue ->

Installation

$npx shadcn@latest add https://uipkge.dev/r/react/section-card.json
Named registry:npx shadcn@latest add @uipkge-react/section-cardInstalls to:components/ui/section-card/

Examples

Loading interactive previews…

Props

NameType / ValuesDefaultRequired
titlestringrequired
descriptionstringoptional
classNamestringoptional
contentClassNamestringoptional
headerAction

`header-action` named slot.

React.ReactNodeoptional
footer

equivalent of the `footer` named slot.

React.ReactNodeoptional
childrenReact.ReactNodeoptional

Includes

Used by

Files installed (2)

  • components/ui/section-card/section-card.tsx1.5 kB
    import * as React from 'react'
    import { cn } from '@/lib/utils'
    import { Card, CardContent, CardHeader, CardTitle, CardDescription } from '@/components/ui/card'
    
    export interface SectionCardProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'title'> {
      title: string
      description?: string
      className?: string
      contentClassName?: string
      /** Rendered top-right of the header — the React equivalent of the
       *  `header-action` named slot. */
      headerAction?: React.ReactNode
      /** Rendered after the content, outside CardContent — the React
       *  equivalent of the `footer` named slot. */
      footer?: React.ReactNode
      children?: React.ReactNode
    }
    
    const SectionCard = React.forwardRef<HTMLDivElement, SectionCardProps>(
      ({ title, description, className, contentClassName, headerAction, footer, children, ...rest }, ref) => (
        <Card ref={ref} className={cn('flex flex-col', className)} {...rest}>
          <CardHeader className="pb-4">
            <div className="flex flex-wrap items-center justify-between gap-2">
              <div className="min-w-0">
                <CardTitle className="text-base font-semibold">{title}</CardTitle>
                {description && <CardDescription className="mt-0.5">{description}</CardDescription>}
              </div>
              {headerAction}
            </div>
          </CardHeader>
          <CardContent className={cn('flex-1', contentClassName)}>{children}</CardContent>
          {footer}
        </Card>
      ),
    )
    SectionCard.displayName = 'SectionCard'
    
    export { SectionCard }
    
  • components/ui/section-card/index.ts0.1 kB

Raw manifest:https://uipkge.dev/r/react/section-card.json